directory-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Pierre-Arnaud Marcelot ...@marcelot.net>
Subject Re: [Studio][Shared] Moving back to version '2.2.0' for 'maven-bundle-plugin'
Date Tue, 08 Mar 2011 12:12:28 GMT
On 8 mars 2011, at 12:58, Emmanuel Lecharny wrote:

> On 3/8/11 12:05 PM, Pierre-Arnaud Marcelot wrote:
>> Hi guys,
>> 
>> The move to version '2.3.4' of the 'org.apache.felix:maven-bundle-plugin' seem to
generate wrong MANIFEST.MF files with Export-Packages including 'provided' dependencies in
our Studio library plugins.
>> 
>> I'll move back to version '2.2.0' in Studio's parent pom in order to fix this issue.
>> 
>> This problem might also affect Manifest files for Shared and API. I will take a look
at it too.
>> 
>> I will try to demonstrate the issue on a simpler project and open an issue on Felix's
JIRA if I'm able to reproduce it.
> 
> Ok. Eventually, it would be good to fill a Maven JIRA for this plugin.

Yeah that's exactly what I meant above.

Jira filled -> https://issues.apache.org/jira/browse/FELIX-2873

Regards,
Pierre-Arnaud
Mime
View raw message